import { OutlinedCard } from "../../components/OutlinedCard";

export function Message() {
    const message = `
Buen día estimados,
Se adjunta...
    `.trim();

    return (
        <OutlinedCard class="w-[24rem] h-[26.5rem] overflow-hidden">
            <h2 class="text-xl p-3 bg-c-surface-variant text-c-on-surface-variant">
                Generar mensajes
            </h2>

            <div>
                <h3 class="px-4 pt-2 font-bold">Mensaje usuario natural:</h3>
                <div class="p-4">
                    <pre
                        class="w-full p-2 bg-c-surface text-c-on-surface
                        border border-c-outline rounded font-mono text-sm
                        whitespace-pre-wrap"
                    >
                        {message}
                    </pre>
                </div>

                <h3 class="px-4 pt-2 font-bold">Mensaje empresa:</h3>
                <div class="p-4">
                    <pre
                        class="w-full p-2 bg-c-surface text-c-on-surface
                        border border-c-outline rounded font-mono text-sm
                        whitespace-pre-wrap"
                    >
                        {message}
                    </pre>
                </div>
            </div>
        </OutlinedCard>
    );
}
